org.eclipse.rdf4j.rio.helpers

## Enum LargeLiteralHandling

- java.lang.Object
- - java.lang.Enum<LargeLiteralHandling>
  - - org.eclipse.rdf4j.rio.helpers.LargeLiteralHandling

- All Implemented Interfaces:
    Serializable, Comparable<LargeLiteralHandling>

      public enum LargeLiteralHandling
      extends Enum<LargeLiteralHandling>

  An enumeration used to define constants used with the `BasicParserSettings.LARGE_LITERALS_HANDLING` parser setting.
  Author:
    Peter Ansell

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DROP` Indicates that statements containing large literals should be dropped, based on based on the `BasicParserSettings.LARGE_LITERALS_LIMIT` setting.
    `PRESERVE` Indicates that large literals should be preserved.
    `TRUNCATE` Indicates that values of large literals should be truncated, based on the `BasicParserSettings.LARGE_LITERALS_LIMIT` setting.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LargeLiteralHandling` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LargeLiteralHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRESERVE

          public static final LargeLiteralHandling PRESERVE

      Indicates that large literals should be preserved. This is the default behaviour.

    - #### DROP

          public static final LargeLiteralHandling DROP

      Indicates that statements containing large literals should be dropped, based on based on the `BasicParserSettings.LARGE_LITERALS_LIMIT` setting.

    - #### TRUNCATE

          public static final LargeLiteralHandling TRUNCATE

      Indicates that values of large literals should be truncated, based on the `BasicParserSettings.LARGE_LITERALS_LIMIT` setting.

  - ### Method Detail

    - #### values

          public static LargeLiteralHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LargeLiteralHandling c : LargeLiteralHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LargeLiteralHandling valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.